Summary: japanized Ivtools
Name: jp-ivtools
Version: 0.6.1
Release: 1A
Source0: http://www.vectaport.com/pub/src/ivtools-0.6.1.tgz
Copyright: distributable
Group: Applications/Graphics
Patch0: localhost:/ivtools-0.6jp-2.0gamma.patch
Patch1: localhost:/ivtools-0.6-ppc.patch

%description
ivtools is a framework for building custom drawing editors and
servers.  It is a collection of C++ libraries and example programs
that incorporates and evolves the last source tree for InterViews 3.1
published by Stanford University and Silicon Graphics (3.2a.tar.Z).

ivtools comprises four sets of interrelated capabilities useful for
application programmers.  The first set is the libraries and example
programs we borrowed whole from InterViews 3.1.  The second set is for
reusing and extending the light-weight glyph objects of InterViews
3.1.  The third set reuses and extends the Unidraw library (Unidraw is
a major portion of the overall InterViews 3.1 release that provides an
application framework for custom drawing editors).  The fourth set
adds a command interpreter and server mechanism to ivtools, and
demonstrates these capabilities with text, glyph, and graphic
front-ends.

%prep

%setup -n ivtools-0.6
%patch0 -p1
%ifarch ppc
%patch1 -p1
%endif
cp -p $RPM_SOURCE_DIR/README* .
cp -p $RPM_SOURCE_DIR/*.ad .

%build
export CPU=`make CPU`
make World XCONFIGDIR=/usr/lib/X11/config

%install
export CPU=`make CPU`
make install
ln -sf /usr/local/ivtools/lib/libAttrGlyph.so /usr/local/lib/libAttrGlyph.so
ln -sf /usr/local/ivtools/lib/libAttribute.so /usr/local/lib/libAttribute.so
ln -sf /usr/local/ivtools/lib/libComGlyph.so /usr/local/lib/libComGlyph.so
ln -sf /usr/local/ivtools/lib/libComTerp.so /usr/local/lib/libComTerp.so
ln -sf /usr/local/ivtools/lib/libComUnidraw.so /usr/local/lib/libComUnidraw.so
ln -sf /usr/local/ivtools/lib/libComUtil.so /usr/local/lib/libComUtil.so
ln -sf /usr/local/ivtools/lib/libDrawServ.so /usr/local/lib/libDrawServ.so
ln -sf /usr/local/ivtools/lib/libFrameUnidraw.so /usr/local/lib/libFrameUnidraw.so
ln -sf /usr/local/ivtools/lib/libGraphUnidraw.so /usr/local/lib/libGraphUnidraw.so
ln -sf /usr/local/ivtools/lib/libIV.so /usr/local/lib/libIV.so
ln -sf /usr/local/ivtools/lib/libIVGlyph.so /usr/local/lib/libIVGlyph.so
ln -sf /usr/local/ivtools/lib/libOverlayUnidraw.so /usr/local/lib/libOverlayUnidraw.so
ln -sf /usr/local/ivtools/lib/libTime.so /usr/local/lib/libTime.so
ln -sf /usr/local/ivtools/lib/libTopoFace.so /usr/local/lib/libTopoFace.so
ln -sf /usr/local/ivtools/lib/libUniIdraw.so /usr/local/lib/libUniIdraw.so
ln -sf /usr/local/ivtools/lib/libUnidraw.so /usr/local/lib/libUnidraw.so


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc CHANGES* COPYRIGHT INSTALL PATCHLEVEL.JIV README* VERSION *.ad
%dir /usr/local/ivtools
%dir /usr/local/ivtools/bin
/usr/local/ivtools/bin/comdraw
/usr/local/ivtools/bin/comterp
/usr/local/ivtools/bin/comtest
/usr/local/ivtools/bin/dclock
/usr/local/ivtools/bin/drawserv
/usr/local/ivtools/bin/drawtool
/usr/local/ivtools/bin/flipbook
/usr/local/ivtools/bin/gclock
/usr/local/ivtools/bin/glyphterp
/usr/local/ivtools/bin/graphdraw
/usr/local/ivtools/bin/iclass
/usr/local/ivtools/bin/idemo
/usr/local/ivtools/bin/idraw
/usr/local/ivtools/bin/ivmkmf
/usr/local/ivtools/config
/usr/local/ivtools/include
/usr/local/ivtools/share
%dir /usr/local/ivtools/lib
/usr/local/ivtools/lib/libAttrGlyph.so
/usr/local/ivtools/lib/libAttrGlyph.so.0.6.1
/usr/local/ivtools/lib/libAttribute.so
/usr/local/ivtools/lib/libAttribute.so.0.6.1
/usr/local/ivtools/lib/libComGlyph.so
/usr/local/ivtools/lib/libComGlyph.so.0.6.1
/usr/local/ivtools/lib/libComTerp.so
/usr/local/ivtools/lib/libComTerp.so.0.6.1
/usr/local/ivtools/lib/libComUnidraw.so
/usr/local/ivtools/lib/libComUnidraw.so.0.6.1
/usr/local/ivtools/lib/libComUtil.so
/usr/local/ivtools/lib/libComUtil.so.0.6.1
/usr/local/ivtools/lib/libDrawServ.so
/usr/local/ivtools/lib/libDrawServ.so.0.6.1
/usr/local/ivtools/lib/libFrameUnidraw.so
/usr/local/ivtools/lib/libFrameUnidraw.so.0.6.1
/usr/local/ivtools/lib/libGraphUnidraw.so
/usr/local/ivtools/lib/libGraphUnidraw.so.0.6.1
/usr/local/ivtools/lib/libIV.so
/usr/local/ivtools/lib/libIV.so.0.6.1
/usr/local/ivtools/lib/libIVGlyph.so
/usr/local/ivtools/lib/libIVGlyph.so.0.6.1
/usr/local/ivtools/lib/libOverlayUnidraw.so
/usr/local/ivtools/lib/libOverlayUnidraw.so.0.6.1
/usr/local/ivtools/lib/libTime.so
/usr/local/ivtools/lib/libTime.so.0.6.1
/usr/local/ivtools/lib/libTopoFace.so
/usr/local/ivtools/lib/libTopoFace.so.0.6.1
/usr/local/ivtools/lib/libUniIdraw.so
/usr/local/ivtools/lib/libUniIdraw.so.0.6.1
/usr/local/ivtools/lib/libUnidraw.so
/usr/local/ivtools/lib/libUnidraw.so.0.6.1

/usr/local/lib/libAttrGlyph.so
/usr/local/lib/libAttribute.so
/usr/local/lib/libComGlyph.so
/usr/local/lib/libComTerp.so
/usr/local/lib/libComUnidraw.so
/usr/local/lib/libComUtil.so
/usr/local/lib/libDrawServ.so
/usr/local/lib/libFrameUnidraw.so
/usr/local/lib/libGraphUnidraw.so
/usr/local/lib/libIV.so
/usr/local/lib/libIVGlyph.so
/usr/local/lib/libOverlayUnidraw.so
/usr/local/lib/libTime.so
/usr/local/lib/libTopoFace.so
/usr/local/lib/libUniIdraw.so
/usr/local/lib/libUnidraw.so

